# Loki::EvictRandom< DT, ST > Class Template Reference
[Eviction policies]

Evicts a random object. More...

`#include <CachedFactory.h>`

List of all members.

## Detailed Description

### template<typename DT, typename ST = void>
class Loki::EvictRandom< DT, ST >

Evicts a random object.

Implementation of the Random algorithm as described in http://en.wikipedia.org/wiki/Page_replacement_algorithms .

The documentation for this class was generated from the following file:

- CachedFactory.h